Bug 40644 - New port: lang/bigloo - A Scheme interpreter and native code compiler
Summary: New port: lang/bigloo - A Scheme interpreter and native code compiler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-16 11:20 UTC by Stanislav Grozev
Modified: 2003-01-20 05:07 UTC (History)
0 users

See Also:


Attachments
file.shar (14.73 KB, text/plain)
2002-07-16 11:20 UTC, Stanislav Grozev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Grozev 2002-07-16 11:20:01 UTC
This is a port of Bigloo, a Scheme system which includes a compiler
generating C code and Java classes and an interpreter. Bigloo is the
tool of choice for the construction of small autonomous applications
in Scheme. Bigloo is mostly conformant to the Revised5 Report on the
Algorithmic Language Scheme with many extensions:
        Rgc, a lex facility.
        Match, a pattern-matching compiler.
        Foreign languages interface (connection to C and to Java).
        Module language.
        Extension package system.
        An Lalr facility.
        An Object sytem.
        A thread library.
        DSSSL support.
        Unicode characters and strings.
        Process, Pipe and Socket support.

WWW: http://www-sop.inria.fr/mimosa/fp/Bigloo/
Comment 1 Stanislav Grozev 2002-07-17 16:38:10 UTC
included is the new version of the port, as per suggestions from roam@

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	bigloo
#	bigloo/files
#	bigloo/files/patch-ab
#	bigloo/files/patch-aa
#	bigloo/files/patch-ac
#	bigloo/files/bigloo.sh
#	bigloo/Makefile
#	bigloo/distinfo
#	bigloo/pkg-plist
#	bigloo/pkg-descr
#	bigloo/pkg-comment
#
echo c - bigloo
mkdir -p bigloo > /dev/null 2>&1
echo c - bigloo/files
mkdir -p bigloo/files > /dev/null 2>&1
echo x - bigloo/files/patch-ab
sed 's/^X//' >bigloo/files/patch-ab << 'END-of-bigloo/files/patch-ab'
X--- autoconf/thread.orig	Mon Jul 15 21:08:21 2002
X+++ autoconf/thread	Mon Jul 15 21:08:45 2002
X@@ -56,6 +56,8 @@
X      echo "-DGC_SOLARIS_PTHREADS -D_REENTRANT";;
X    HP-UX*)
X      echo "GC_HPUX_THREADS";;
X+   FreeBSD*)
X+     echo "-D_THREAD_SAFE -D_REENTRANT";;
X    *)
X      echo "";;
X esac
END-of-bigloo/files/patch-ab
echo x - bigloo/files/patch-aa
sed 's/^X//' >bigloo/files/patch-aa << 'END-of-bigloo/files/patch-aa'
X--- autoconf/pthread.orig	Mon Jul 15 21:08:08 2002
X+++ autoconf/pthread	Mon Jul 15 21:08:16 2002
X@@ -14,7 +14,7 @@
X #*---------------------------------------------------------------------*/
X cc=gcc
X cflags=
X-pthreadlibs="-lpthread"
X+pthreadlibs="-pthread"
X tmp=/tmp
X user=bigloo
X 
END-of-bigloo/files/patch-aa
echo x - bigloo/files/patch-ac
sed 's/^X//' >bigloo/files/patch-ac << 'END-of-bigloo/files/patch-ac'
X--- manuals/Makefile.orig	Mon Jul 15 23:25:17 2002
X+++ manuals/Makefile	Mon Jul 15 23:44:05 2002
X@@ -296,19 +296,6 @@
X 	         echo "chmod $(BMASK) $(INFODIR)/bigloo.info*"; \
X               fi \
X             fi; \
X-	    if [ "$(INSTALLINFO) " = " " ]; then \
X-             if [ ! -f $(INFODIR)/dir ]; then \
X-              echo "$(INFODIR)/dir file does not exist, can't install Bigloo info files"; \
X-             else \
X-              if [ "`grep "bigloo.info" $(INFODIR)/dir` " = " " ]; then \
X-               echo "* bigloo: (bigloo.info). The Bigloo documentation." >> \
X-                $(INFODIR)/dir; \
X-              fi; \
X-             fi; \
X-            else \
X-             $(INSTALLINFO) bigloo.info $(INFODIR)/dir; \
X-             echo "$(INSTALLINFO) bigloo.info $(INFODIR)/dir"; \
X-            fi \
X           fi \
X         fi
X 
END-of-bigloo/files/patch-ac
echo x - bigloo/files/bigloo.sh
sed 's/^X//' >bigloo/files/bigloo.sh << 'END-of-bigloo/files/bigloo.sh'
X#!/bin/sh
X
Xcase "$1" in
X	start)
X		/sbin/ldconfig -m %%PREFIX%%/lib/bigloo/%%BIGLOO_VERSION%%
X		;;
X	stop)
X		;;
X	*)
X		echo ""
X		echo "Usage: `basename $0` { start | stop }"
X		echo ""
X		exit 64
X		;;
Xesac
END-of-bigloo/files/bigloo.sh
echo x - bigloo/Makefile
sed 's/^X//' >bigloo/Makefile << 'END-of-bigloo/Makefile'
X# New ports collection makefile for:    bigloo
X# Date created:         15 Jul 2002
X# Whom:                 Stanislav Grozev <tacho@daemonz.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	bigloo
XPORTVERSION=	2.5a
XCATEGORIES=	lang
XMASTER_SITES=	ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/ \
X		ftp://kaolin.unice.fr/pub/Bigloo/
XDISTNAME=	${PORTNAME}${PORTVERSION}
X
XMAINTAINER=	tacho@daemonz.org
X
XUSE_GMAKE=	yes
XALL_TARGET=
XINSTALL_TARGET=	install compile-bee install-bee
XEMACS_PORT_NAME?=	emacs21
XMAN1=		bigloo.1
XPLIST_SUB=	BIGLOO_VERSION=${PORTVERSION}
XINSTALLS_SHLIB=	yes
XLDCONFIG_DIRS=	%%PREFIX%%/lib/bigloo/%%BIGLOO_VERSION%%
X
XHAS_CONFIGURE=	yes
XCONFIGURE_ARGS= --prefix=${PREFIX} \
X		--emacs=${EMACS_NAME} \
X		--lispdir=${LOCALBASE}/${EMACS_SITE_LISPDIR}/bigloo \
X		--native=yes \
X		--jvm=no
X
XINSTALL_INFO?=	install-info
X
Xpost-install: install-info
X	@${SED} "s|%%PREFIX%%|${PREFIX}|g" < ${FILESDIR}/bigloo.sh | ${SED} "s|%%BIGLOO_VERSION%%|${PORTVERSION}|g" > ${PREFIX}/etc/rc.d/000.bigloo.sh
X	@${CHMOD} 750 ${PREFIX}/etc/rc.d/000.bigloo.sh
X
Xinstall-info:
X	@${INSTALL_INFO} ${PREFIX}/info/${PORTNAME}.info ${PREFIX}/info/dir
X
Xtest: build
X	@(cd ${WRKSRC}; ${GMAKE} test)
X
X.include <bsd.port.mk>
END-of-bigloo/Makefile
echo x - bigloo/distinfo
sed 's/^X//' >bigloo/distinfo << 'END-of-bigloo/distinfo'
XMD5 (bigloo2.5a.tar.gz) = 3fbf13769c096e5ca2d0f927cfde4eff
END-of-bigloo/distinfo
echo x - bigloo/pkg-plist
sed 's/^X//' >bigloo/pkg-plist << 'END-of-bigloo/pkg-plist'
Xbin/bigloo%%BIGLOO_VERSION%%
Xbin/bigloo
Xbin/cigloo
Xbin/afile
Xbin/jfile
Xbin/bdepend
Xbin/bmake
Xbin/bprof
Xbin/mco
Xbin/bpp
Xbin/btags
Xbin/jas
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-1.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-9.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-8.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-7.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-6.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.9.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.8.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.7.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.6.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.5.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.4.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.3.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.2.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.10.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-5.1.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-4.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-3.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-25.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-24.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-23.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-22.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-21.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-20.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-2.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-19.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-18.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-17.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-16.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-15.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-14.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-13.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-12.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-11.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo-10.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-1.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-9.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-8.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-7.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-6.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-5.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-4.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-3.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-2.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs-10.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs.html
Xdoc/bigloo-%%BIGLOO_VERSION%%/bigloo.sui
Xdoc/bigloo-%%BIGLOO_VERSION%%/r5rs.sui
Xetc/rc.d/000.bigloo.sh
X@unexec install-info --delete %D/info/bigloo.info %D/info/dir
Xinfo/bigloo.info
Xinfo/bigloo.info-1
Xinfo/bigloo.info-2
Xinfo/bigloo.info-3
Xinfo/bigloo.info-4
Xinfo/bigloo.info-5
Xinfo/bigloo.info-6
Xinfo/bigloo.info-7
Xinfo/bigloo.info-8
Xinfo/bigloo.info-9
Xinfo/bigloo.info-10
Xinfo/bigloo.info-11
X@exec install-info %D/info/bigloo.info %D/info/dir
Xlib/bigloo/%%BIGLOO_VERSION%%/bigloo.h
Xlib/bigloo/%%BIGLOO_VERSION%%/bigloo_config.h
Xlib/bigloo/%%BIGLOO_VERSION%%/bigloo.heap
Xlib/bigloo/%%BIGLOO_VERSION%%/libbigloo.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libbigloo.so
Xlib/bigloo/%%BIGLOO_VERSION%%/libbigloo_u.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libbigloo_u.so
Xlib/bigloo/%%BIGLOO_VERSION%%/libgc.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libgc.so
Xlib/bigloo/%%BIGLOO_VERSION%%/Makefile.config
Xlib/bigloo/%%BIGLOO_VERSION%%/libgc_thread.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libgc_thread.so
Xlib/bigloo/%%BIGLOO_VERSION%%/fthread.init
Xlib/bigloo/%%BIGLOO_VERSION%%/fthread.heap
Xlib/bigloo/%%BIGLOO_VERSION%%/libfthread.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libfthread.so
Xlib/bigloo/%%BIGLOO_VERSION%%/libfthread_u.a
Xlib/bigloo/%%BIGLOO_VERSION%%/libfthread_u.so
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-autoload.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-config.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-custom.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-icon.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-tools.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-error.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-root.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-compile.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-info.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-repl.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-sui.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-paren.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-makefile.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-mouse.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-profile.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-about.el
X%%EMACS_SITE_LISPDIR%%/bigloo/etags.el
X%%EMACS_SITE_LISPDIR%%/bigloo/plugin.el
X%%EMACS_SITE_LISPDIR%%/bigloo/id-select.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-ident.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-docline.el
X%%EMACS_SITE_LISPDIR%%/bigloo/etc/bass-snap.au
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-version.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-balloon.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-autoload.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-config.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-toolbar.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-indent.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-mode.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-keymap.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-expand.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-flock.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-module.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-repl.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-tags.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-profile.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-usage.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-bdb.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-about-icon.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-ibuilder.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-browse.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-kbdb.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-bugloo.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-doc.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-autoload.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-config.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-toolbar.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-indent.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-profile.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-gdb.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-flock.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-hook.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-keymap.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-tags.el
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-kbdb.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-args.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-config.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-filter.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-stack.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-autoload.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-connect.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-locals.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-toolbar.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-console.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-mode.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-display.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-process.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-complete.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-docline.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-source.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-about-icon.el
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-breakpoint.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-autoload.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-config.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-toolbar.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-keymap.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-flock.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-hook.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-indent.el
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-tags.el
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-autoload.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-config.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-custom.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-icon.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-tools.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-error.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-root.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-compile.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-info.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-repl.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-sui.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-paren.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-makefile.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-mouse.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-profile.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-about.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/etags.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/plugin.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/id-select.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-ident.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-docline.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-version.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/ude-balloon.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-autoload.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-config.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-toolbar.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-indent.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-mode.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-keymap.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-expand.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-flock.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-module.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-repl.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-tags.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-profile.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-usage.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-bdb.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-about-icon.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-ibuilder.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-browse.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-kbdb.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-bugloo.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bee-doc.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-autoload.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-config.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-toolbar.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-indent.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-profile.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-gdb.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-flock.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-hook.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-keymap.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-tags.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/cee-kbdb.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-args.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-config.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-filter.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-stack.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-autoload.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-connect.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-locals.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-toolbar.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-console.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-mode.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-display.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-process.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-complete.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-docline.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-source.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-about-icon.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/dbg-breakpoint.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-autoload.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-config.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-toolbar.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-keymap.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-flock.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-hook.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-indent.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/lee-tags.elc
X%%EMACS_SITE_LISPDIR%%/bigloo/bmacs.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bmacs-gnu-emacs.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bmacs-xemacs.el
X%%EMACS_SITE_LISPDIR%%/bigloo/bmacs-config.el
X@dirrm doc/bigloo-%%BIGLOO_VERSION%%
X@dirrm lib/bigloo/%%BIGLOO_VERSION%%
X@dirrm lib/bigloo
X@dirrm %%EMACS_SITE_LISPDIR%%/bigloo/etc
X@dirrm %%EMACS_SITE_LISPDIR%%/bigloo
END-of-bigloo/pkg-plist
echo x - bigloo/pkg-descr
sed 's/^X//' >bigloo/pkg-descr << 'END-of-bigloo/pkg-descr'
XThis is a port of Bigloo, a Scheme system which includes a compiler
Xgenerating C code and Java classes and an interpreter. Bigloo is the
Xtool of choice for the construction of small autonomous applications
Xin Scheme. Bigloo is mostly conformant to the Revised5 Report on the
XAlgorithmic Language Scheme with many extensions:
X        Rgc, a lex facility.
X        Match, a pattern-matching compiler.
X        Foreign languages interface (connection to C and to Java).
X        Module language.
X        Extension package system.
X        An Lalr facility.
X        An Object sytem.
X        A thread library.
X        DSSSL support.
X        Unicode characters and strings.
X        Process, Pipe and Socket support.
X
XWWW: http://www-sop.inria.fr/mimosa/fp/Bigloo/
X
X- Stanislav Grozev
Xtacho@daemonz.org
END-of-bigloo/pkg-descr
echo x - bigloo/pkg-comment
sed 's/^X//' >bigloo/pkg-comment << 'END-of-bigloo/pkg-comment'
XA Scheme interpreter and native code compiler
END-of-bigloo/pkg-comment
exit
Comment 2 Edwin Groothuis freebsd_committer 2003-01-20 05:07:11 UTC
State Changed
From-To: open->closed

Commited, thanks!